UiPath Documentation
orchestrator
2023.4
false
Guia da API do Orchestrator
Importante :
A tradução automática foi aplicada parcialmente neste conteúdo. A localização de um conteúdo recém-publicado pode levar de 1 a 2 semanas para ficar disponível.

Obter configurações

Use esse ponto de extremidade para recuperar a lista de pares de chave-valor para as configurações de e-mail e de autenticação.

Ponto de Extremidade da API​

GET https://{yourDomain}/identity/api/Setting

Escopos​

Requer os seguintes escopos:

  • PM.Setting
  • PM.Setting.Read

Cabeçalhos de solicitação.​

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Observação:

To obtain the {access_token}, make sure to authenticate through one of the methods described here.

Parâmetros de Consulta​

Parâmetro de consultaTipo de dadosDescription
key

(opcional)
StringInsira o nome da configuração que você deseja recuperar.

Por exemplo, para recuperar a configuração do Domínio SMTP, insira key=Email.Smtp.Domain.
partitionGlobalId

(opcional)
StringO ID do grupo a ser excluído.
userId

(opcional)
StringO ID do grupo a ser excluído.

Resposta​

200 OK​

Retorna as contas de Robots consultadas.

Exemplo de solicitação​

Digamos que você reuniu todas as informações necessárias para criar a chamada de API.

  • Seu {baseURL} é: https://{yourDomain}/identity
  • Seu {access_token} é: 1234 (para considerações de comprimento).
  • O {partitionGlobalId} é: 3fa85f64-5717-4562-b3fc-2c963f66afa6
  • Você deseja recuperar as configurações de e-mail globais, para que você faça login como administrador host. Nesse caso, você não fornece um userID.

A chamada deve ser semelhante ao seguinte exemplo (cURL):

curl --location --request GET 'https://{yourDomain}/identity/api/Setting?partitionGlobalId=3fa85f64-5717-4562-b3fc-2c963f66afa6&key=Email.Smtp.Domain&key=Email.Smtp.EnableSsl&key=Email.Smtp.FromDisplayName&key=Email.Smtp.FromEmail&key=Email.Smtp.Host&key=Email.Smtp.Password&key=Email.Smtp.Port&key=Email.Smtp.UseDefaultCredentials&key=Email.Smtp.UserName' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request GET 'https://{yourDomain}/identity/api/Setting?partitionGlobalId=3fa85f64-5717-4562-b3fc-2c963f66afa6&key=Email.Smtp.Domain&key=Email.Smtp.EnableSsl&key=Email.Smtp.FromDisplayName&key=Email.Smtp.FromEmail&key=Email.Smtp.Host&key=Email.Smtp.Password&key=Email.Smtp.Port&key=Email.Smtp.UseDefaultCredentials&key=Email.Smtp.UserName' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'

Aqui está o body da resposta de uma chamada bem-sucedida:

[
    {
        "id": 6,
        "key": "Email.Smtp.FromEmail",
        "value": "newalerts.uipath@gmail.com",
        "partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "userId": null
    },
    {
        "id": 7,
        "key": "Email.Smtp.FromDisplayName",
        "value": "Hogwarts server - 21.10 - Clean",
        "partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "userId": null
    },
    {
        "id": 15,
        "key": "Email.Smtp.Domain",
        "value": "",
        "partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "userId": null
    },
    {
        "id": 16,
        "key": "Email.Smtp.EnableSsl",
        "value": "true",
        "partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "userId": null
    },
    {
        "id": 17,
        "key": "Email.Smtp.Port",
        "value": "587",
        "partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "userId": null
    },
    {
        "id": 18,
        "key": "Email.Smtp.UseDefaultCredentials",
        "value": "false",
        "partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "userId": null
    },
    {
        "id": 19,
        "key": "Email.Smtp.UserName",
        "value": "newalerts.uipath@gmail.com",
        "partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "userId": null
    },
    {
        "id": 20,
        "key": "Email.Smtp.Host",
        "value": "smtp.gmail.com",
        "partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "userId": null
    },
    {
        "id": 21,
        "key": "Email.Smtp.Password",
        "value": "protego-spell",
        "partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "userId": null
    }
]
[
    {
        "id": 6,
        "key": "Email.Smtp.FromEmail",
        "value": "newalerts.uipath@gmail.com",
        "partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "userId": null
    },
    {
        "id": 7,
        "key": "Email.Smtp.FromDisplayName",
        "value": "Hogwarts server - 21.10 - Clean",
        "partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "userId": null
    },
    {
        "id": 15,
        "key": "Email.Smtp.Domain",
        "value": "",
        "partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "userId": null
    },
    {
        "id": 16,
        "key": "Email.Smtp.EnableSsl",
        "value": "true",
        "partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "userId": null
    },
    {
        "id": 17,
        "key": "Email.Smtp.Port",
        "value": "587",
        "partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "userId": null
    },
    {
        "id": 18,
        "key": "Email.Smtp.UseDefaultCredentials",
        "value": "false",
        "partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "userId": null
    },
    {
        "id": 19,
        "key": "Email.Smtp.UserName",
        "value": "newalerts.uipath@gmail.com",
        "partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "userId": null
    },
    {
        "id": 20,
        "key": "Email.Smtp.Host",
        "value": "smtp.gmail.com",
        "partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "userId": null
    },
    {
        "id": 21,
        "key": "Email.Smtp.Password",
        "value": "protego-spell",
        "partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "userId": null
    }
]
  • Ponto de Extremidade da API​
  • Escopos​
  • Cabeçalhos de solicitação.​
  • Parâmetros de Consulta​
  • Resposta​
  • 200 OK​
  • Exemplo de solicitação​

Esta página foi útil?

Conectar

Precisa de ajuda? Suporte(opens in new window)

Quer aprender? Academia UiPath(opens in new window)

Tem perguntas? Fórum do UiPath(opens in new window)

Fique por dentro das novidades